Bug 228061 - [LFC][Integration] Do not create an InlineFormattingContext object for constructing display lines and runs
Summary: [LFC][Integration] Do not create an InlineFormattingContext object for constr...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-07-18 11:32 PDT by zalan
Modified: 2021-08-21 21:29 PDT (History)
5 users (show)

See Also:


Attachments
Patch (8.25 KB, patch)
2021-07-18 11:33 PDT, zalan
no flags Details | Formatted Diff | Diff
[fast-cq]Patch (10.27 KB, patch)
2021-08-21 16:39 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2021-07-18 11:32:27 PDT
ssia
Comment 1 zalan 2021-07-18 11:33:57 PDT
Created attachment 433755 [details]
Patch
Comment 2 Sam Weinig 2021-07-18 12:31:34 PDT
Comment on attachment 433755 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=433755&action=review

> Source/WebCore/ChangeLog:7
> +

Can you add a sentence explaining the motivation here.
Comment 3 Radar WebKit Bug Importer 2021-07-25 11:33:15 PDT
<rdar://problem/81078944>
Comment 4 zalan 2021-08-21 16:39:27 PDT
Created attachment 436095 [details]
[fast-cq]Patch
Comment 5 zalan 2021-08-21 20:31:35 PDT
Comment on attachment 436095 [details]
[fast-cq]Patch

I can repro this failure locally on ToT.
Comment 6 EWS 2021-08-21 21:29:05 PDT
Committed r281388 (240803@main): <https://commits.webkit.org/240803@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436095 [details].